Debian Bug report logs - #263126
ITA: fftw -- Library for computing Fast Fourier Transforms

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "James A. Treacy" <treacy@debian.org>

Date: Tue, 3 Aug 2004 03:33:04 UTC

Owned by: Paul Brossier <piem@altern.org>

Severity: normal

Fixed in version fftw/2.1.3-17

Done: Paul Brossier <piem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#263126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "James A. Treacy" <treacy@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "James A. Treacy" <treacy@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: fftw -- Library for computing Fast Fourier Transforms
Date: Mon, 02 Aug 2004 23:17:03 -0400
Package: wnpp
Severity: normal

I am orphaning fftw.

The package description is:
 This library computes FFTs in one or more dimensions. It
 is extremely fast. This package contains the statically
 linked library and the header files.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.5
Locale: LANG=C, LC_CTYPE=C



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#263126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Schuster <schuster@isja.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 263126@bugs.debian.org (full text, mbox):

From: Martin Schuster <schuster@isja.org>
To: 263126@bugs.debian.org
Subject: Alternatives?
Date: Wed, 4 Aug 2004 08:53:54 +0200
[Message part 1 (text/plain, inline)]
iff nobody steps in to take care of this package:
Is there another library in Debian for doing FFT?
(Ideally using the same data layout as fftw, as this would make porting
 older programs much easier...)

-- 
+------------------------------------------------------------------* .-.
|            Martin Schuster            Microsoft is not the answer  /v\
| <Leto@tabr.org>  http://www.tabr.org/  Microsoft is the question  // \\
|  <Douglas@karanet.at>  ICQ# 20511117    "Linux!"  is the answer  /(   )\
+--------------------------------------------------------------*    ^^-^^
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#263126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Michael A. Dickerson" <mikey@singingtree.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 263126@bugs.debian.org (full text, mbox):

From: "Michael A. Dickerson" <mikey@singingtree.com>
To: 263126@bugs.debian.org
Subject: adoption of fftw
Date: Wed, 4 Aug 2004 00:47:32 -0700 (PDT)
I would pick this up, unless it is massively bigger than I expect it is.
But I am in the new maintainer queue.  I already maintain the
libasedriveiie packages, sponsored by Ludovic Rousseau, who said he would
advocate my application but hasn't done it yet.  Anyone want to help this
along..?

M.D.





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#263126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to stevenj@math.mit.edu:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 263126@bugs.debian.org (full text, mbox):

From: "Steven G. Johnson" <stevenj@fftw.org>
To: 263126@bugs.debian.org
Subject: a note from upstream
Date: Wed, 4 Aug 2004 15:19:22 -0400 (EDT)
Hi, I'm one of the upstream maintainers of FFTW.  I'm not a Debian
maintainer, but I do use Debian (as does my co-author), and just wanted to
say that we will be happy to work with whoever the new Debian FFTW
packager is.

Cordially,
Steven G. Johnson

PS. Thanks to James for his long efforts with FFTW for Debian; it's been a
pleasure working with him, and I wish him well in his future endeavors.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#263126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to <piem@altern.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 263126@bugs.debian.org (full text, mbox):

From: <piem@altern.org>
To: 263126@bugs.debian.org, control@debian.org
Subject: fftw2
Date: Sun, 8 Aug 2004 16:02:05 +0200 (CEST)
hi all.

i would also be interested in maintaining this package.



Changed Bug title. Request was from <piem@altern.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#263126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #32 received at 263126-quiet@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: piem@altern.org
Cc: 263126-quiet@bugs.debian.org
Subject: Your old ITA of fftw
Date: Thu, 09 Jun 2005 02:53:17 +0200
[This is a semiautomatically generated mail]

Hi.

I currently inspect the Debian wnpp bug list and search for old ITAs
(Intent to Adopt) that are mistitled.

You have expressed in bug report #263126 [0] the intent to adopt
the package "fftw". The last comment to this from you is dated from
08-08-2004, which is more than three months ago. Do you still intent to adopt 
this package? If not, please retitle the bug, substituting "O:" for "ITA:".

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=263126

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
http://www.djpig.de/



Owner recorded as Paul Brossier <piem@altern.org>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#263126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #39 received at 263126-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: <piem@altern.org>
Cc: 263126-quiet@bugs.debian.org
Subject: Re: fftw2
Date: Thu, 06 Oct 2005 15:33:42 +0200
On Sun, Aug 08, 2004 at 16:02:05 +0200, <piem@altern.org> wrote:
> i would also be interested in maintaining this package.

Do you still intend to adopt fftw?  (This is just a ping, I'm not
interested in adopting it myself.)

Thanks,

Matej



Information stored:
Bug#263126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Brossier <piem@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #44 received at 263126-quiet@bugs.debian.org (full text, mbox):

From: Paul Brossier <piem@debian.org>
To: Matej Vela <vela@debian.org>
Cc: 263131-quiet@bugs.debian.org, 263132-quiet@bugs.debian.org, 263133-quiet@bugs.debian.org, 263126-quiet@bugs.debian.org
Subject: Re: adopting *fftwgel
Date: Sat, 8 Oct 2005 09:34:54 +0100
Hi ,

On Thu, Oct 06, 2005 at 03:41:34PM +0200, Matej Vela wrote:
> Do you still intend to adopt k6fftwgel, k7fftwgel, and p4fftwgel?
> (This is just a ping, I'm not interested in adopting them myself.)

yes, i will prepare an upload that fixes the RC bugs. Should be ready
within a week.

cheers, piem



Information stored:
Bug#263126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #49 received at 263126-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Paul Brossier <piem@debian.org>
Cc: 263126-quiet@bugs.debian.org, 263131-quiet@bugs.debian.org, 263132-quiet@bugs.debian.org, 263133-quiet@bugs.debian.org
Subject: Re: adopting *fftwgel
Date: Mon, 21 Nov 2005 06:22:46 +0100
On Sat, Oct 08, 2005 at 09:34:54 +0100, Paul Brossier wrote:
> On Thu, Oct 06, 2005 at 03:41:34PM +0200, Matej Vela wrote:
>> Do you still intend to adopt k6fftwgel, k7fftwgel, and p4fftwgel?
>> (This is just a ping, I'm not interested in adopting them myself.)
>
> yes, i will prepare an upload that fixes the RC bugs. Should be ready
> within a week.

Do you still intend to adopt fftw, k6fftwgel, k7fftwgel, and
p4fftwgel?

Thanks,

Matej



Information stored:
Bug#263126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Brossier <piem@altern.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #54 received at 263126-quiet@bugs.debian.org (full text, mbox):

From: Paul Brossier <piem@altern.org>
To: Matej Vela <vela@debian.org>
Subject: Re: adopting *fftwgel
Date: Fri, 9 Dec 2005 19:59:46 +0000
On Mon, Nov 21, 2005 at 06:22:46AM +0100, Matej Vela wrote:
> On Sat, Oct 08, 2005 at 09:34:54 +0100, Paul Brossier wrote:
> > On Thu, Oct 06, 2005 at 03:41:34PM +0200, Matej Vela wrote:
> >> Do you still intend to adopt k6fftwgel, k7fftwgel, and p4fftwgel?
> >> (This is just a ping, I'm not interested in adopting them myself.)
> >
> > yes, i will prepare an upload that fixes the RC bugs. Should be ready
> > within a week.
> 
> Do you still intend to adopt fftw, k6fftwgel, k7fftwgel, and
> p4fftwgel?

yes, i am working on these.

thanks, paul





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Paul Brossier <piem@altern.org>:
Bug#263126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@esaurito.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Paul Brossier <piem@altern.org>. Full text and rfc822 format available.

Message #59 received at 263126@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@esaurito.net>
To: 263126@bugs.debian.org, 358157@bugs.debian.org
Cc: Paul Brossier <piem@altern.org>
Subject: any update on this?
Date: Fri, 21 Apr 2006 12:01:59 +0200
Hi,
is there any update on the ITA for fftw2? There is at least one RC bug open and
looks rather easy to fix.

I can prepare an NMU fixing the rpath issue #358157 if needed.

thanks in advance,
filippo



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#263126; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Brossier <piem@altern.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #64 received at 263126@bugs.debian.org (full text, mbox):

From: Paul Brossier <piem@altern.org>
To: Filippo Giunchedi <filippo@esaurito.net>, 263126@bugs.debian.org
Cc: 358157@bugs.debian.org, Paul Brossier <piem@altern.org>
Subject: Re: Bug#263126: any update on this?
Date: Fri, 21 Apr 2006 14:15:39 +0200
Hi Filippo,

i have an upload mostly ready for this, i will try to get it done this
week-end. i have rewritten most of the package scripts, so i would
rather wait before uploading.

thanks, paul


On Fri, Apr 21, 2006 at 12:01:59PM +0200, Filippo Giunchedi wrote:
> Hi,
> is there any update on the ITA for fftw2? There is at least one RC bug open and
> looks rather easy to fix.
> 
> I can prepare an NMU fixing the rpath issue #358157 if needed.
> 
> thanks in advance,
> filippo
> 



Reply sent to Paul Brossier <piem@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "James A. Treacy" <treacy@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #69 received at 263126-close@bugs.debian.org (full text, mbox):

From: Paul Brossier <piem@debian.org>
To: 263126-close@bugs.debian.org
Subject: Bug#263126: fixed in fftw 2.1.3-17
Date: Thu, 01 Jun 2006 21:17:59 -0700
Source: fftw
Source-Version: 2.1.3-17

We believe that the bug you reported is fixed in the latest version of
fftw, which is due to be installed in the Debian FTP archive:

fftw-dev_2.1.3-17_powerpc.deb
  to pool/main/f/fftw/fftw-dev_2.1.3-17_powerpc.deb
fftw-docs_2.1.3-17_all.deb
  to pool/main/f/fftw/fftw-docs_2.1.3-17_all.deb
fftw2_2.1.3-17_powerpc.deb
  to pool/main/f/fftw/fftw2_2.1.3-17_powerpc.deb
fftw_2.1.3-17.diff.gz
  to pool/main/f/fftw/fftw_2.1.3-17.diff.gz
fftw_2.1.3-17.dsc
  to pool/main/f/fftw/fftw_2.1.3-17.dsc
sfftw-dev_2.1.3-17_powerpc.deb
  to pool/main/f/fftw/sfftw-dev_2.1.3-17_powerpc.deb
sfftw2_2.1.3-17_powerpc.deb
  to pool/main/f/fftw/sfftw2_2.1.3-17_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 263126@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Paul Brossier <piem@debian.org> (supplier of updated fftw package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  2 Jun 2006 02:17:31 +0200
Source: fftw
Binary: sfftw-dev sfftw2 fftw-dev fftw2 fftw-docs
Architecture: source powerpc all
Version: 2.1.3-17
Distribution: unstable
Urgency: low
Maintainer: Paul Brossier <piem@debian.org>
Changed-By: Paul Brossier <piem@debian.org>
Description: 
 fftw-dev   - library for computing Fast Fourier Transforms
 fftw-docs  - documentation for fftw
 fftw2      - library for computing Fast Fourier Transforms
 sfftw-dev  - library for computing Fast Fourier Transforms
 sfftw2     - library for computing Fast Fourier Transforms
Closes: 263126 325813 333631 334726 339995 339996 356966 358157
Changes: 
 fftw (2.1.3-17) unstable; urgency=low
 .
   * Adopt package (closes: #263126).
   * Acknowledge NMU (closes: #325813, #333631, #334726)
   * Start again packaging from dh_make templates.
   * Fix autoconf/automake
     + update generated files with autoreconf -f -i (closes: #356966)
     + do not use XXX_variables_XXX, use @variables@ instead
     + do not use -rpath in {threads,mpi}/Makefile.am (closes: #358157)
     + do not use EXTRA_LTLIBRARIES in {threads,mpi}/Makefile.am
       (libtool unhappy with installing extra libs, so always build anyway)
     + do not use mpicc in mpi/Makefile.am, add -lmpi to LDFLAGS
     + install .la files, .so links updated to new libtool
   * debian/control:
     + lower first character case in short descriptions
     + move fftw2 and sfftw2 to Section oldlibs
     + move fftw-dev and sfftw-dev to Section oldlibs (closes: #339995, #339996)
     + move fftw-docs to Section oldlibs
     + move source package to Section math
     + bump Standards-Version
     + suggests mpich-bin instead of mpich
     + added build-deps on debhelper and libtool
   * debian/rules:
     + always rebuild doc and FAQ
     + rebuilt info page is one single file
     + hack to install files as before
     + moved tests to examples in fftw-docs
   * debian/copyright Updated licence entries
   * added info section in doc/fftw.texi
Files: 
 4d5171603ac24b0dc4df34c12430e8fd 624 oldlibs optional fftw_2.1.3-17.dsc
 313a60abd1309482f08b4fdc84a25924 544727 oldlibs optional fftw_2.1.3-17.diff.gz
 3c89fddf24d65275c24139385ba3efd8 346470 oldlibs optional fftw2_2.1.3-17_powerpc.deb
 190edf2f257f5bd73ed9a88ca47519f7 391992 oldlibs optional fftw-dev_2.1.3-17_powerpc.deb
 ed9add27b271afd89d55b132c2e4735e 354422 oldlibs optional sfftw2_2.1.3-17_powerpc.deb
 bc8027d9f9773111a82d058ee2a368c3 404904 oldlibs optional sfftw-dev_2.1.3-17_powerpc.deb
 af2634f31a2fa192b4d26db505f14b81 314048 oldlibs optional fftw-docs_2.1.3-17_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEf4lo2PLmgVuXpdIRAmnBAKC1JSqVKEgpBHKQPwCeJuLaFQNSEgCfUX/g
DgG0IsJ3GryuuK7yqB3cCV0=
=HHTT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 20:20:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:36:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.